org.apache.hc.client5.http.async.methods

## Class SimpleHttpRequest

- java.lang.Object
- - org.apache.hc.core5.http.message.AbstractMessageWrapper
  - - org.apache.hc.core5.http.message.HttpRequestWrapper
    - - org.apache.hc.client5.http.async.methods.SimpleHttpRequest

All Implemented Interfaces:
  org.apache.hc.core5.http.HttpMessage, org.apache.hc.core5.http.HttpRequest, org.apache.hc.core5.http.MessageHeaders

    public final class SimpleHttpRequest
    extends org.apache.hc.core5.http.message.HttpRequestWrapper

### Constructor Summary

Constructors
Constructor and Description
`SimpleHttpRequest(org.apache.hc.core5.http.HttpRequest head, String body, org.apache.hc.core5.http.ContentType contentType)`
`SimpleHttpRequest(String method, org.apache.hc.core5.http.HttpHost host, String path, String body, org.apache.hc.core5.http.ContentType contentType)`
`SimpleHttpRequest(String method, URI requestUri, String body, org.apache.hc.core5.http.ContentType contentType)`

### Method Summary

Methods
`static SimpleHttpRequest` `delete(org.apache.hc.core5.http.HttpHost host, String path)`
`static SimpleHttpRequest` `delete(String requestUri)`
`static SimpleHttpRequest` `delete(URI requestUri)`
`static SimpleHttpRequest` `get(org.apache.hc.core5.http.HttpHost host, String path)`
`static SimpleHttpRequest` `get(String requestUri)`
`static SimpleHttpRequest` `get(URI requestUri)`
`String` `getBody()`
`org.apache.hc.core5.http.ContentType` `getContentType()`
`static SimpleHttpRequest` `head(org.apache.hc.core5.http.HttpHost host, String path)`
`static SimpleHttpRequest` `head(String requestUri)`
`static SimpleHttpRequest` `head(URI requestUri)`
`static SimpleHttpRequest` `options(org.apache.hc.core5.http.HttpHost host, String path)`
`static SimpleHttpRequest` `options(String requestUri)`
`static SimpleHttpRequest` `options(URI requestUri)`
`static SimpleHttpRequest` `patch(org.apache.hc.core5.http.HttpHost host, String path, String body, org.apache.hc.core5.http.ContentType contentType)`
`static SimpleHttpRequest` `patch(String requestUri, String body, org.apache.hc.core5.http.ContentType contentType)`
`static SimpleHttpRequest` `patch(URI requestUri, String body, org.apache.hc.core5.http.ContentType contentType)`
`static SimpleHttpRequest` `post(org.apache.hc.core5.http.HttpHost host, String path, String body, org.apache.hc.core5.http.ContentType contentType)`
`static SimpleHttpRequest` `post(String requestUri, String body, org.apache.hc.core5.http.ContentType contentType)`
`static SimpleHttpRequest` `post(URI requestUri, String body, org.apache.hc.core5.http.ContentType contentType)`
`static SimpleHttpRequest` `put(org.apache.hc.core5.http.HttpHost host, String path, String body, org.apache.hc.core5.http.ContentType contentType)`
`static SimpleHttpRequest` `put(String requestUri, String body, org.apache.hc.core5.http.ContentType contentType)`
`static SimpleHttpRequest` `PUT(URI requestUri, String body, org.apache.hc.core5.http.ContentType contentType)`
`static SimpleHttpRequest` `trace(org.apache.hc.core5.http.HttpHost host, String path)`
`static SimpleHttpRequest` `trace(String requestUri)`
`static SimpleHttpRequest` `trace(URI requestUri)`

### Methods inherited from class org.apache.hc.core5.http.message.HttpRequestWrapper

`getAuthority, getMethod, getPath, getRequestUri, getScheme, getUri, setAuthority, setPath, setScheme`

### Methods inherited from class org.apache.hc.core5.http.message.AbstractMessageWrapper

`addHeader, addHeader, containsHeader, containsHeaders, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getSingleHeader, getVersion, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setVersion, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.hc.core5.http.HttpMessage

`addHeader, addHeader, getVersion, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setVersion`

### Methods inherited from interface org.apache.hc.core5.http.MessageHeaders

`containsHeader, containsHeaders, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getSingleHeader, headerIterator, headerIterator`

### Constructor Detail

#### SimpleHttpRequest

    public SimpleHttpRequest(org.apache.hc.core5.http.HttpRequest head,
                     String body,
                     org.apache.hc.core5.http.ContentType contentType)

#### SimpleHttpRequest

    public SimpleHttpRequest(String method,
                     org.apache.hc.core5.http.HttpHost host,
                     String path,
                     String body,
                     org.apache.hc.core5.http.ContentType contentType)

#### SimpleHttpRequest

    public SimpleHttpRequest(String method,
                     URI requestUri,
                     String body,
                     org.apache.hc.core5.http.ContentType contentType)

### Method Detail

#### get

    public static SimpleHttpRequest get(URI requestUri)

#### get

    public static SimpleHttpRequest get(String requestUri)

#### get

    public static SimpleHttpRequest get(org.apache.hc.core5.http.HttpHost host,
                        String path)

#### head

    public static SimpleHttpRequest head(URI requestUri)

#### head

    public static SimpleHttpRequest head(String requestUri)

#### head

    public static SimpleHttpRequest head(org.apache.hc.core5.http.HttpHost host,
                         String path)

#### post

    public static SimpleHttpRequest post(URI requestUri,
                         String body,
                         org.apache.hc.core5.http.ContentType contentType)

#### post

    public static SimpleHttpRequest post(String requestUri,
                         String body,
                         org.apache.hc.core5.http.ContentType contentType)

#### post

    public static SimpleHttpRequest post(org.apache.hc.core5.http.HttpHost host,
                         String path,
                         String body,
                         org.apache.hc.core5.http.ContentType contentType)

#### PUT

    public static SimpleHttpRequest PUT(URI requestUri,
                        String body,
                        org.apache.hc.core5.http.ContentType contentType)

#### put

    public static SimpleHttpRequest put(String requestUri,
                        String body,
                        org.apache.hc.core5.http.ContentType contentType)

#### put

    public static SimpleHttpRequest put(org.apache.hc.core5.http.HttpHost host,
                        String path,
                        String body,
                        org.apache.hc.core5.http.ContentType contentType)

#### delete

    public static SimpleHttpRequest delete(URI requestUri)

#### delete

    public static SimpleHttpRequest delete(String requestUri)

#### delete

    public static SimpleHttpRequest delete(org.apache.hc.core5.http.HttpHost host,
                           String path)

#### trace

    public static SimpleHttpRequest trace(URI requestUri)

#### trace

    public static SimpleHttpRequest trace(String requestUri)

#### trace

    public static SimpleHttpRequest trace(org.apache.hc.core5.http.HttpHost host,
                          String path)

#### options

    public static SimpleHttpRequest options(URI requestUri)

#### options

    public static SimpleHttpRequest options(String requestUri)

#### options

    public static SimpleHttpRequest options(org.apache.hc.core5.http.HttpHost host,
                            String path)

#### patch

    public static SimpleHttpRequest patch(URI requestUri,
                          String body,
                          org.apache.hc.core5.http.ContentType contentType)

#### patch

    public static SimpleHttpRequest patch(String requestUri,
                          String body,
                          org.apache.hc.core5.http.ContentType contentType)

#### patch

    public static SimpleHttpRequest patch(org.apache.hc.core5.http.HttpHost host,
                          String path,
                          String body,
                          org.apache.hc.core5.http.ContentType contentType)

#### getBody

    public String getBody()

#### getContentType

    public org.apache.hc.core5.http.ContentType getContentType()